Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class FacesServiceBase<T>

    java.lang.Object
      org.richfaces.validator.FacesServiceBase<T>

Direct Known Subclasses:
  ConverterServiceImpl, FacesValidatorServiceImpl

    public abstract class FacesServiceBase<T>

extends Object

Constructor Summary
`FacesServiceBase()`

Method Summary
`protected void` | `fillParameters(BaseFacesObjectDescriptor<T> descriptor, T component)`
`javax.faces.application.FacesMessage` | `getMessage(javax.faces.context.FacesContext context, T component, javax.faces.component.EditableValueHolder input, String msg)` Creates message for converter, using current locale.
`protected abstract String` | `getMessageId(T component)`
`protected void` | `setLabelParameter(javax.faces.component.EditableValueHolder input, FacesValidatorDescriptor descriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesServiceBase

    public FacesServiceBase()

Method Detail

### getMessageId

    protected abstract String getMessageId(T component)

### fillParameters

    protected void fillParameters(BaseFacesObjectDescriptor<T> descriptor,
                                  T component)

### getMessage

    public javax.faces.application.FacesMessage getMessage(javax.faces.context.FacesContext context,
                                                           T component,
                                                           javax.faces.component.EditableValueHolder input,
                                                           String msg)

  Creates message for converter, using current locale.

  Parameters:
    `context` -
    `component` -
    `input` - TODO
    `msg` -
  Returns:

### setLabelParameter

    protected void setLabelParameter(javax.faces.component.EditableValueHolder input,
                                     FacesValidatorDescriptor descriptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.